import { Router } from "express";
import isAuth from "../middleware/isAuth";

import * as StatusChatEnd from "../controllers/StatusChatEndController";

const statusChatEndRoutes = Router();

statusChatEndRoutes.post("/statusChatEnd", isAuth, StatusChatEnd.store);

// statusChatEndRoutes.get("/statusChatEnd", isAuth, StatusChatEnd.show);
statusChatEndRoutes.get("/statusChatEnd", isAuth, StatusChatEnd.index);

statusChatEndRoutes.get(
  "/statusChatEnd/:statusChatEndId",
  isAuth,
  StatusChatEnd.show
);

statusChatEndRoutes.put(
  "/statusChatEnd/:statusChatEndId",
  isAuth,
  StatusChatEnd.update
);

statusChatEndRoutes.delete(
  "/statusChatEnd/:statusChatEndId",
  isAuth,
  StatusChatEnd.remove
);

export default statusChatEndRoutes;
